Crystal Space: iObjectIterator Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iObjectIterator Struct Reference
[Utilities]

This is an iterator for child objects of a csObject. More...

`#include <iutil/object.h>`

Inheritance diagram for iObjectIterator:

[legend]
List of all members.

## Public Member Functions
virtual iObject * | FindName (const char *name)=0
| traverses all csObjects and looks for an object with the given name returns object if found.
virtual iObject * | GetParentObj () const =0
| Get the parent object.
virtual bool | HasNext () const =0
| Check if we have any more children of requested type.
virtual iObject * | Next ()=0
| Move forward.
virtual void | Reset ()=0
| Reset the iterator to the beginning.

## Detailed Description

This is an iterator for child objects of a csObject.

Note that this iterator only contains type-independent functionality and is therefore a bit complicated to use (i.e. you'll have to do a lot of SCF_QUERY_INTERFACE_CALLS if you use it directly). Check out typed object iterators instead.

Main creators of instances implementing this interface:

- iObject::GetIterator()

Definition at line 174 of file object.h.

## Member Function Documentation

virtual iObject* iObjectIterator::FindName | ( | const char * | name | ) | `[pure virtual]`

traverses all csObjects and looks for an object with the given name returns object if found.

You can continue search by calling Next and then do an other FindName, if you like.

virtual iObject* iObjectIterator::GetParentObj | ( |  | ) | const`[pure virtual]`

Get the parent object.

virtual bool iObjectIterator::HasNext | ( |  | ) | const`[pure virtual]`

Check if we have any more children of requested type.

virtual iObject* iObjectIterator::Next | ( |  | ) | `[pure virtual]`

Move forward.

virtual void iObjectIterator::Reset | ( |  | ) | `[pure virtual]`

Reset the iterator to the beginning.

The documentation for this struct was generated from the following file:

- iutil/object.h